#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.14.0.0
visibility:           public
id:                   lsp-test-0.14.0.0-FDK6lb27yZzEHklvhoIMsE
key:                  lsp-test-0.14.0.0-FDK6lb27yZzEHklvhoIMsE
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:
    https://github.com/haskell/lsp/blob/master/lsp-test/README.md

synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire, and @Language.LSP.Test@ can replay captured sessions from
    <haskell-lsp https://hackage.haskell.org/package/haskell-lsp>.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  6dc06ca0bb32365c669bdeb071a21541
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.2.0.0-2nBSK5pLm5U7ReARvH3Y0Y:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.2.0.0-2nBSK5pLm5U7ReARvH3Y0Y:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-test-0.14.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-test-0.14.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-test-0.14.0.0
hs-libraries:         HSlsp-test-0.14.0.0-FDK6lb27yZzEHklvhoIMsE
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-28aA2bmDUXhGk5L5sW4ONX
    aeson-1.5.6.0-LLOea02YqcM3vjvKgAyJi
    aeson-pretty-0.8.8-DRvfEEWO02L7A97sSL2amW
    ansi-terminal-0.11-Bapihu72YDSIMrY7HkFZ4n
    async-2.2.3-DvF9gf9qyfPK6D6feIe45y base-4.14.1.0
    bytestring-0.10.12.0 conduit-1.3.4.1-Kubd0gRDxQSIFJBiRLcGH1
    conduit-parse-0.2.1.0-INJ5kbkO7vKCaqxUiVrzcE containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV directory-1.3.6.0
    filepath-1.4.2.1 lens-5.0.1-9n7m8uxu2SY8Fq3OU5ErrG
    lsp-types-1.2.0.0-2nBSK5pLm5U7ReARvH3Y0Y mtl-2.2.2
    parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd process-1.6.9.0
    some-1.0.3-DOAyHBxu2Hi295GDOks7Sc text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.14.0-GPjR30wZWJTEZLMkucvmDm

haddock-interfaces:   /usr/share/doc/haskell-lsp-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

